/* Genral*/
body {
  position: relative;
  font-size: 14px;
  font-family: "Noto Sans", sans-serif;
  letter-spacing: 0.5px;
  background-color: #eff1f3;
}

a {
  text-decoration: none;
}

input::-moz-placeholder {
  color: #000 !important;
  opacity: 0.3 !important;
}

input::placeholder {
  color: #000 !important;
  opacity: 0.3 !important;
}

/* aligns */
/* dropdown animation */
@keyframes animdropdown {
  from {
    transform: translate3d(0, 6px, 0);
    opacity: 0;
  }
  to {
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}
/*header*/
.top-header .navbar {
  background-color: #ffffff;
  height: 70px;
  position: fixed;
  left: 260px;
  right: 0;
  top: 0;
  padding: 0 1.5rem;
  z-index: 100;
  transition: ease-out 0.3s;
  box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.044), 0 2px 6px 0 rgba(0, 0, 0, 0.049);
}

.top-header .navbar .nav-item {
  height: 70px;
  display: flex;
  align-items: center;
}
.top-header .navbar .nav-item .mega-menu {
  width: 100%;
  height: -moz-fit-content;
  height: fit-content;
  background-color: #ffffff;
  border-radius: 0%;
}
.top-header .navbar .nav-item .mega-menu::after {
  display: none;
}
.top-header .navbar .nav-item .mega-menu .mega-menu-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  background-color: #f8f8f8;
}
.top-header .navbar .nav-item .mega-menu .card {
  cursor: pointer;
  transition: 0.2s all;
}
.top-header .navbar .nav-item .mega-menu .card:hover {
  background-color: #f8f8f8;
}
.top-header .navbar .nav-item .dropdown-apps {
  width: 320px;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
  border-radius: 1rem;
}
.top-header .navbar .nav-item .dropdown-apps .app-name {
  font-size: 14px;
}
.top-header .navbar .nav-item .dropdown-apps .app-wrapper {
  padding: 1rem;
  background-color: #ffffff;
  border-radius: 0rem;
  cursor: pointer;
}
.top-header .navbar .nav-item .dropdown-apps .app-wrapper:hover {
  background-color: #f8f8f8;
}
.top-header .navbar .nav-item .dropdown-notify {
  width: 360px;
  border-radius: 1rem;
}
.top-header .navbar .nav-item .dropdown-notify .option {
  font-size: 1rem;
  color: #494949;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  background-color: #ffffff;
  cursor: pointer;
  border: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
.top-header .navbar .nav-item .dropdown-notify .option:hover {
  background-color: #efefef;
}
.top-header .navbar .nav-item .dropdown-notify .notiy-title {
  font-size: 1rem;
}
.top-header .navbar .nav-item .dropdown-notify .dropdown-option {
  font-size: 14px;
}
.top-header .navbar .nav-item .dropdown-notify .notify-title {
  color: rgba(var(--bs-dark-rgb));
  font-size: 15px;
  font-weight: 500;
  margin-bottom: 0.2rem;
}
.top-header .navbar .nav-item .dropdown-notify .notify-desc {
  color: rgba(var(--bs-body-color-rgb), var(--bs-text-opacity)) !important;
  font-size: 13px;
  font-weight: 400;
  width: 240px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.top-header .navbar .nav-item .dropdown-notify .notify-time {
  color: #939aa0;
  font-size: 12px;
  margin-top: 0.2rem;
}
.top-header .navbar .nav-item .dropdown-notify .user-wrapper, .top-header .navbar .nav-item .dropdown-notify .notify-close {
  width: 45px;
  height: 45px;
  font-size: 20px;
  font-weight: 500;
  background-color: #efefef;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.top-header .navbar .nav-item .dropdown-notify .notify-close {
  width: 20px;
  height: 20px;
  background-color: #efefef;
  visibility: hidden;
}
.top-header .navbar .nav-item .dropdown-notify .notify-list {
  position: relative;
  height: 390px;
}
.top-header .navbar .nav-item .dropdown-notify .dropdown-item:hover .notify-close {
  visibility: visible;
}
.top-header .navbar .nav-item .dropdown-user {
  width: 260px;
  border-radius: 1rem;
}
.top-header .navbar .nav-item .badge-notify {
  position: absolute;
  top: 2px;
  right: 3px;
  font-size: 12px;
  color: #fff;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f01414;
}
.top-header .navbar .dropdown-menu {
  border-radius: 1rem;
  border: 0;
  animation: 0.6s cubic-bezier(0.25, 0.8, 0.25, 1) 0s normal forwards 1 animdropdown;
}
.top-header .navbar .dropdown-menu::after {
  content: "";
  width: 13px;
  height: 13px;
  background: white;
  position: absolute;
  top: -6px;
  right: 16px;
  transform: rotate(45deg);
  border-top: 1px solid #ddd;
  border-left: 1px solid #ddd;
}
.top-header .btn-toggle a {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #494949;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  transition: all 0.3s;
}

#wrapper .btn-toggle {
  margin-left: -250px;
}


.top-header .btn-toggle a:hover, .top-header .btn-toggle a:focus {
  background-color: #efefef;
}
.top-header .nav-right-links .nav-link {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #494949;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  transition: all 0.3s;
}
.top-header .nav-right-links .nav-link:hover, .top-header .nav-right-links .nav-link:focus {
  background-color: #efefef;
}

.dropdown-menu {
  border-radius: 1rem;
  border: 0;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}



/* sidebar wrapper */
.sidebar-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 260px;
  height: 100%;
  background-color: #ffffff;
  border-right: 1px solid var(--bs-border-color);
  z-index: 100;
  transition: ease-out 0.3s;
  box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.044), 0 2px 6px 0 rgba(0, 0, 0, 0.049);
  /* Metis Menu */
}
.sidebar-wrapper .sidebar-header {
  display: flex;
  align-items: center;
  justify-content: start;
  width: 260px;
  height: 70px;
  padding: 0 1rem;
  gap: 0.5rem;
  z-index: 100;
  position: fixed;
  top: 0;
  background-color: #fff;
  transition: ease-out 0.3s;
  border-right: 1px solid var(--bs-border-color);
}
.sidebar-wrapper .sidebar-header .logo-img {
  width: 130px;
}
.sidebar-wrapper .sidebar-header .logo-name h5 {
  font-size: 24px;
  text-transform: capitalize;
  font-weight: 600;
}
.sidebar-wrapper .sidebar-header .sidebar-close {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #494949;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  transition: all 0.3s;
  display: none;
  cursor: pointer;
  left: -270px;
}
.sidebar-wrapper .sidebar-header .sidebar-close:hover, .sidebar-wrapper .sidebar-header .sidebar-close:focus {
  background-color: #efefef;
}
.sidebar-wrapper .sidebar-nav {
  margin-top: 70px;
  height: 100%;
  background-color: #ffffff;
}
.sidebar-wrapper .sidebar-nav ul {
  padding: 10px;
  margin: 0;
  list-style: none;
  background: 0 0;
}
.sidebar-wrapper .sidebar-nav .metismenu {
  background: 0 0;
  display: flex;
  flex-direction: column;
}
.sidebar-wrapper .sidebar-nav .metismenu li + li {
  margin-top: 5px;
}
.sidebar-wrapper .sidebar-nav .metismenu li:first-child {
  margin-top: 5px;
}
.sidebar-wrapper .sidebar-nav .metismenu li:last-child {
  margin-bottom: 5px;
}
.sidebar-wrapper .sidebar-nav .metismenu > li {
  display: flex;
  flex-direction: column;
  position: relative;
}
.sidebar-wrapper .sidebar-nav .metismenu a {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: left;
  padding: 6px 16px;
  font-size: 15px;
  color: #5f5f5f;
  outline-width: 0;
  text-overflow: ellipsis;
  overflow: hidden;
  letter-spacing: 0.5px;
  border-radius: 0.25rem;
  transition: all 0.3s ease-out;
}
.sidebar-wrapper .sidebar-nav .metismenu a .parent-icon {
  line-height: 1;
}
.sidebar-wrapper .sidebar-nav .metismenu a .menu-title {
  margin-left: 10px;
}
.sidebar-wrapper .sidebar-nav .metismenu a:active {
  color: #008cff;
  text-decoration: none;
  background-color: rgba(0, 140, 255, 0.05);
}
.sidebar-wrapper .sidebar-nav .metismenu a:focus {
  color: #008cff;
  text-decoration: none;
  background-color: rgba(0, 140, 255, 0.05);
}
.sidebar-wrapper .sidebar-nav .metismenu a:hover {
  color: #008cff;
  text-decoration: none;
  background-color: rgba(0, 140, 255, 0.05);
}
.sidebar-wrapper .sidebar-nav .metismenu ul {
  background-color: #fff;
  padding: 0;
}
.sidebar-wrapper .sidebar-nav .metismenu ul a {
  padding: 6px 15px 6px 20px;
  font-size: 15px;
  border: 0;
}
.sidebar-wrapper .sidebar-nav .metismenu ul a i {
  margin-right: 5px;
}
.sidebar-wrapper .sidebar-nav .metismenu ul ul a {
  padding: 8px 15px 8px 30px;
}
.sidebar-wrapper .sidebar-nav .metismenu ul ul ul a {
  padding: 8px 15px 8px 45px;
}
.sidebar-wrapper .sidebar-nav .metismenu .mm-active > a {
  color: #008cff;
  text-decoration: none;
  background-color: rgba(0, 140, 255, 0.05);
}
.sidebar-wrapper .menu-label {
  padding: 10px 16px 10px 16px;
  color: #b0afaf;
  text-transform: uppercase;
  font-size: 12px;
  letter-spacing: 0.5px;
}

.toggled .top-header .navbar {
  left: 70px;
}
.toggled .main-wrapper {
  margin-left: 70px;
}
.toggled .page-footer {
  left: 70px;
}

@media screen and (min-width: 1199px) {
  body.toggled .sidebar-wrapper:hover {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
  }
  body.toggled .sidebar-wrapper:hover .sidebar-header .sidebar-close {
    display: flex;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper {
    width: 70px;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .sidebar-header {
    width: 70px;
    justify-content: center;
    width: 70px;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .sidebar-header .logo-name {
    display: none;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .sidebar-header .toggle-icon {
    display: none;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .metismenu a {
    justify-content: center;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .metismenu .menu-title {
    display: none;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .metismenu li ul {
    display: none;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .metismenu li.menu-label {
    display: none;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .metismenu .has-arrow:after {
    display: none;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-wrapper .sidebar-bottom {
    width: 70px;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-bottom .dropdown-laungauge {
    display: none;
  }
  body.toggled:not(.sidebar-hovered) .sidebar-bottom .dropdown-help {
    display: none;
  }
}
.chip {
  display: inline-block;
  height: 32px;
  padding: 0 12px;
  margin-right: 1rem;
  margin-bottom: 1rem;
  font-size: 14px;
  font-weight: 500;
  line-height: 32px;
  color: rgba(0, 0, 0, 0.7);
  cursor: pointer;
  background-color: #f1f1f1;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 16px;
  transition: all 0.3s linear;
  box-shadow: none;
}
.chip img {
  float: left;
  width: 32px;
  height: 32px;
  margin: 0 8px 0 -12px;
  border-radius: 50%;
}

.chip.chip-md {
  height: 42px;
  line-height: 42px;
  border-radius: 21px;
}
.chip.chip-md img {
  height: 42px;
  width: 42px;
}



/* main content */
.main-wrapper {
  margin-top: 70px;
  padding-bottom: 32px;
  margin-left: 260px;
  transition: ease-out 0.3s;
}
.main-wrapper .main-content {
  padding: 1.5rem;
}
.main-wrapper .main-content .breadcrumb-title {
  font-size: 20px;
  border-right: 1.5px solid #aaa4a4;
}
.main-wrapper .main-content .page-breadcrumb .breadcrumb li.breadcrumb-item {
  font-size: 16px;
}
.main-wrapper .main-content .page-breadcrumb .breadcrumb-item + .breadcrumb-item::before {
  display: inline-block;
  padding-right: 0.5rem;
  font-family: "Material Icons Outlined";
  content: "\e88a";
}
.main-wrapper .main-content .badge-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 42px;
  height: 42px;
  background-color: #f2f2f3;
  cursor: pointer;
}
.main-wrapper .main-content .badge-icon .badge-number {
  width: 20px;
  height: 20px;
  background-color: #ff1717;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  color: #fff;
  font-size: 10px;
  padding: 1px;
}
.main-wrapper .main-content .sharelink {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #494949;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  transition: all 0.3s;
}
.main-wrapper .main-content .sharelink:hover, .main-wrapper .main-content .sharelink:focus {
  background-color: #efefef;
}
.main-wrapper .main-content .options {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #494949;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  transition: all 0.3s;
  width: 30px;
  height: 30px;
}
.main-wrapper .main-content .options:hover, .main-wrapper .main-content .options:focus {
  background-color: #efefef;
}
.main-wrapper .main-content .dropdown-menu-share {
  width: -moz-max-content;
  width: max-content;
}
.main-wrapper .main-content .vertical-pills button {
  width: 100%;
  text-align: left;
  border-radius: 0%;
}
.main-wrapper .main-content .vertical-pills .nav-link {
  border-bottom: 1px solid #dee2e6;
  color: #5d5d5d;
}
.main-wrapper .main-content .vertical-pills .nav-link:last-child {
  border-bottom: 0px solid #dee2e6;
}
.main-wrapper .main-content .vertical-pills .nav-link.active {
  color: #ffffff;
}
.main-wrapper .main-content .customer-notes {
  height: 480px;
  position: relative;
  overflow-y: scroll;
}
.main-wrapper .main-content .lable-table {
  text-transform: uppercase;
  padding: 1px 8px;
}
.main-wrapper .main-content .customer-table table thead {
  font-size: 0.8rem;
  text-transform: uppercase;
  font-weight: 400;
}
.main-wrapper .main-content .customer-table table .customer-name {
  color: #000000;
}
.main-wrapper .main-content .product-table table thead {
  font-size: 0.8rem;
  text-transform: uppercase;
  font-weight: 400;
}
.main-wrapper .main-content .product-table table .product-category {
  font-size: 0.8rem;
  color: #878d96;
}
.main-wrapper .main-content .product-table table .product-title {
  font-size: 0.97rem;
  color: #2f353c;
}
.main-wrapper .main-content .product-table table .product-tags {
  max-width: 220px;
  display: flex;
  align-items: center;
  gap: 0.3rem;
  flex-wrap: wrap;
}
.main-wrapper .main-content .product-table table .product-tags .btn-tags {
  font-size: 0.75rem;
  background-color: #f6f6f6;
  color: #000000;
  padding: 2px 10px;
  text-transform: uppercase;
  font-weight: 500;
  border-radius: 2px;
}
.main-wrapper .main-content .product-table table .product-rating {
  font-size: 0.8rem;
  background-color: #ffffff;
  padding: 2px 5px;
  text-align: center;
  border-radius: 4px;
  border: 1px solid #e8e8e8;
  font-weight: 500;
}

.separator {
  display: flex;
  align-items: center;
}
.separator .line {
  height: 1px;
  flex: 1;
  background-color: #dee2e6;
}
.separator p {
  padding: 0 1rem;
}

.review-desc {
  width: 400px;
}

.auth-cover-left, .auth-cover-right {
  display: flex;
  background-color: #ffffff;
  min-height: 100vh;
}

.auth-cover-right {
  background-color: #ffffff;
}

.auth-social-login {
  width: 5rem;
  display: flex;
  align-items: center;
  justify-content: start;
}

.order-delete {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #494949;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  transition: all 0.3s;
  cursor: pointer;
}
.order-delete:hover, .order-delete:focus {
  background-color: #efefef;
}


.chart-container1 {
  position: relative;
  height: 350px;
  width: 100%;
}